Skip to main content

Create object storage bucket

POST 

/backend/api/object-storage/storage

Host: https://core.ocplanet.cloud

Create a new object storage bucket. The bucket name must be globally unique within the region.

Request

Body

required
    name stringrequired

    Possible values: <= 255 characters

    access AccessEnumrequired

    Possible values: [private, public-read, public-read-write, authenticated-read, undefined]

    • private - private
    • public-read - public-read
    • public-read-write - public-read-write
    • authenticated-read - authenticated-read
    • undefined - undefined

Responses

Schema
    id uuidrequired
    name stringrequired

    Possible values: <= 255 characters

    access AccessEnumrequired

    Possible values: [private, public-read, public-read-write, authenticated-read, undefined]

    • private - private
    • public-read - public-read
    • public-read-write - public-read-write
    • authenticated-read - authenticated-read
    • undefined - undefined
    num_objects integerrequired
    usage integerrequired
    created_at date-timerequired
    updated_at date-timerequired
Loading...